---
title: Date.prototype.getTimezoneOffset()
slug: Web/JavaScript/Reference/Global_Objects/Date/getTimezoneOffset
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>getTimezoneOffset()</code></strong> method returns the time zone difference, in minutes, from current locale (host system settings) to UTC.</p>

<div>{{EmbedInteractiveExample("pages/js/date-gettimezoneoffset.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.getTimezoneOffset()</pre>

<h3 id="Return_value">Return value</h3>

<p>A number representing the time-zone offset, in minutes, from the date based on current host system settings to UTC.</p>

<h2 id="Description">Description</h2>

<p>The time-zone offset is the difference, in minutes, from local time to UTC.</p>

<p>Note that this means that the offset is positive if the local timezone is behind UTC, and negative if it is ahead. For example, for time zone UTC+10:00 (Australian Eastern Standard Time, Vladivostok Time, Chamorro Standard Time), <code>-600</code> will be returned.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="row">Current Locale</th>
   <th scope="col">UTC-8</th>
   <th scope="col">UTC</th>
   <th scope="col">UTC+3</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <th scope="row">Return Value</th>
   <td>480</td>
   <td>0</td>
   <td>-180</td>
  </tr>
 </tbody>
</table>

<p>The time zone offset returned is the one that applies for the Date that it's called on.</p>

<p>If the host system is configured for daylight saving, the offset will change depending on the date and time that the Date represents and that daylight saving applies.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_getTimezoneOffset">Using getTimezoneOffset()</h3>

<pre class="brush: js notranslate">// Get current timezone offset for host device
let x = new Date();
let currentTimeZoneOffsetInHours = x.getTimezoneOffset() / 60;
// 1

// Get timezone offset for International Labour Day (May 1) in 2016
// Be careful, the Date() constructor uses 0-indexed months, so May is
// represented with 4 (and not 5)
let labourDay = new Date(2016, 4, 1)
let labourDayOffset = labourDay.getTimezoneOffset() / 60;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.gettimezoneoffset', 'Date.prototype.getTimezoneOffset')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("javascript.builtins.Date.getTimezoneOffset")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date")}}</li>
</ul>
